﻿@page "/account"
@inherits AccountPageViewModel

<p>Привет, @User.Username!</p>

@if (Roles == null)
{
  <div class="d-flex justify-content-center m-5">
    <div class="spinner-grow purple" role="status">
      <span class="sr-only">Пожалуйста, подождите...</span>
    </div>
  </div>
}
else
{
  @if (Roles.Contains("admin"))
  {
    <NavLink href="admin">
      <h6 class="font-weight-normal text-center">На страницу администрации</h6>
    </NavLink>
  }

  <table class="table table-striped">
    <thead class="thead-dark">
      <tr>
        <th scope="col">Список ролей</th>
      </tr>
    </thead>
    <tbody>
      @foreach (string role in Roles)
      {
        <tr>
          <td>@role</td>
        </tr>
      }
    </tbody>
  </table>
}
